CppUnit project page | FAQ

Public Member Functions | Private Member Functions | Private Attributes | List of all members
ProtectorChain::ProtectFunctor Class Reference
Inheritance diagram for ProtectorChain::ProtectFunctor:
[legend]
Collaboration diagram for ProtectorChain::ProtectFunctor:
[legend]

## Public Member Functions
| ProtectFunctor (Protector *protector, const Functor &functor, const ProtectorContext &context)
bool | operator() () const
Public Member Functions inherited from Functor
virtual | ~Functor ()

## Private Member Functions
| ProtectFunctor (const ProtectFunctor &)
ProtectFunctor & | operator= (const ProtectFunctor &)

## Private Attributes
Protector * | m_protector
const Functor & | m_functor
const ProtectorContext & | m_context

## Constructor & Destructor Documentation

## ◆ ProtectFunctor() [1/2]

ProtectorChain::ProtectFunctor::ProtectFunctor | ( | Protector * | protector,
|  | const Functor & | functor,
|  | const ProtectorContext & | context )
| inline

## ◆ ProtectFunctor() [2/2]

ProtectorChain::ProtectFunctor::ProtectFunctor | ( | const ProtectFunctor & |  | ) |
| private

## Member Function Documentation

## ◆ operator()()

bool ProtectorChain::ProtectFunctor::operator() | ( |  | ) | const
| inline virtual

Implements Functor.

## ◆ operator=()

ProtectFunctor & ProtectorChain::ProtectFunctor::operator= | ( | const ProtectFunctor & |  | ) |
| private

## Member Data Documentation

## ◆ m_context

const ProtectorContext& ProtectorChain::ProtectFunctor::m_context
| private

## ◆ m_functor

const Functor& ProtectorChain::ProtectFunctor::m_functor
| private

## ◆ m_protector

Protector* ProtectorChain::ProtectFunctor::m_protector
| private

The documentation for this class was generated from the following file:

- ProtectorChain.cpp

| Send comments to: CppUnit Developers